#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

#target="/var/lib/mpd/music/NAS"

case "$1" in
  cmd:plugin_run_backup*)
    target="/var/lib/mpd/music/NAS${1#cmd:plugin_run_backup}"
    mpc stop > /dev/null 2>&1
    systemctl stop mpd > /dev/null 2>&1
    mount $target > /dev/null 2>&1
    mount -o rw,remount $target  > /dev/null 2>&1
    if [ -e $target/ ]; then
      cd /var/lib/mpd
      tar czf $target/playlists.tar.gz playlists
      cp -p tag_cache $target/
      mount -o ro,remount $target > /dev/null 2>&1
    fi
    systemctl start mpd
    sleep 0.2
    echo "<h2>Backup complete.</h2><pre>"
    ls $target/playlists.tar.gz $target/tag_cache -1
    echo "</pre>"
    echo "<script>setTimeout(function(){$.notifyClose();}, 1500);</script>"
    ;;

  cmd:plugin_run_restore*)
    target="/var/lib/mpd/music/NAS${1#cmd:plugin_run_restore}"
    if [ ! -e $target/tag_cache ]; then
      echo "<h3>There is no tag_cache on the NAS.</h3>"
      exit 0
    fi
    mpc stop > /dev/null 2>&1
    systemctl stop mpd > /dev/null 2>&1
    mount $target > /dev/null 2>&1
    cd /var/lib/mpd
    if [ -e $target/tag_cache ]; then
      cp -p $target/tag_cache .
    fi
    if [ -e $target/playlists.tar.gz ]; then
      tar xf $target/playlists.tar.gz
    fi
    systemctl start mpd
    sleep 0.2
    echo "<h2>Restore complete.</h2>"
    echo "<script>setTimeout(function(){$.notifyClose();}, 1500);</script>"
    ;;
  rescan-*)
    mpc rescan "${1#rescan-}" > /dev/null
    ;;
  *)
    mpc update "$1" > /dev/null
    ;;
esac

exit $?
