#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

log=/var/lib/mpd/music/RAM/support_log.tar.gz
rand=`date +%s%3N`

cd /run
if [ -e support_log ];then
  rm -r support_log
fi
mkdir support_log
cd support_log

journalctl > jounal.log
df > df.log
cp /boot/config.txt .
cp /boot/cmdline.txt .
cp /etc/environment .
cp /etc/systemd/network/eth0.network.static .
cp /etc/rc.local .
cp /etc/fstab .
cp /etc/mtab .
cp /etc/mpd.conf .
cp /run/mpd/mpd.log .
cp /var/lib/mpd/music/.version.json .
cp /var/lib/mpd/state .
cp /var/lib/alsa/asound.state .
amixer > amixer.log
ifconfig > ifconfig.log
cat /proc/interrupts > proc_interrupts.log
cat /proc/cpuinfo > proc_cpuinfo.log
cat /proc/net/dev > proc_net_dev.log
cat /etc/resolv.conf > resolv.conf

cd /run
if [ -e $log ];then
  rm $log
fi
tar czf $log support_log
rm -r support_log

echo "<a style='font-size:18px;' href='/RAM/support_log.tar.gz?$rand'>support_log.tar.gz</a><br><br>"
echo "<p>Download the log and send it to <a href='mailto:symphonic.mpd@gmail.com'>support address</a>.</p>"

exit 0
