#!/bin/bash

vs=/lib/systemd/system/vsound.service
none="--none--"
v="/^ExecStart=/c ExecStart=/usr/bin/aoe"
case ${1} in
  setup* )
    param=${1/setup/ }
    ARR=(${param//_/ })
    if [[ "${ARR[0]}" != "${none}" ]]; then
      v="${v} -i ${ARR[0]}"
    fi
    if [[ "${ARR[1]}" != "${none}" ]]; then
      v="${v} -d ${ARR[1]}"
    fi
    sed -i -re "${v}" ${vs}

    if [ $? -eq 0 ]; then
      systemctl daemon-reload
      if [ $? -eq 0 ]; then
        systemctl restart vsound.service
        if [ $? -eq 0 ]; then
          systemctl is-active vsound.service
        else
          echo 1
        fi
      else
        echo 1
      fi
    else
      echo 1
    fi
  ;;
  "interface" )
    echo `ls -m /sys/class/net`
  ;;
  "current" )
    echo `cat /lib/systemd/system/vsound.service | grep ExecStart=`
  ;;
  "getdreq" )
    echo `amixer sget recv|grep "Mono: Playback"|awk '{ print $3 }'`
  ;;
  "getrecv" )
    echo `amixer sget recv|grep "Mono: Playback"|awk '{ print $3 }'`
  ;;
esac

exit
