#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

urldecode() { : "${*//+/ }"; echo -e "${_//%/\\x}"; }

parse() {
  echo `cat "$1" | sed -n "s/^[ \t]*$2[ \t]*[=]*[ \t]*//p" | head -n1 | sed -e "s/\"//g"`
}

case "$1" in
  /r/is-enabled)
    systemctl is-enabled --wait $(echo "$2"|cut -d'=' -f1)
    ;;

  /r/readlink/*)
    readlink ${1:12}
    ;;

  /r/plugins) # list plugins (json)
    TARGET=./${2%&*}
    cd /opt/plugins
    CMD=""
    i=0
    for dir in `ls -d $TARGET/*`
    do
      CMD=$CMD'.['$i'].path="'$dir'"|'
      let ++i
    done
    CMD=$CMD.
    cat $TARGET/*/app.json|jq -s -c '.'| jq $CMD
    ;;

  /r/*) # read conf (plain text)
    parse ${1:3} $2
    ;;
  /w/*) # write conf
    tmp=$(urldecode "$2")
    if [[ $tmp == *=* ]];then
      key=`echo $tmp | cut -f1 -d'='`
      val=`echo $tmp | cut -f2 -d'='`
    else
      key=$tmp
      val=""
    fi
    if [ "$key" = "" ];then
      echo error
    elif [ "$val" = "" ];then
      # read
      parse ${1:3} $key
    else
      # write
      line=`grep  -nE "^\s*$key(\s|=)+" "${1:3}" | head -n1 |sed -e 's/:.*//g'`
      #echo $2 $key $val $line
      sed -i -e "$line s|\(^\s*$key\s*[\s|=|\"]\{1\}\s*\)[^\"]*\(\"*\)|\1$val\2|" "${1:3}"
      sync
    fi
    ;;

  /x/*)
    exec ${1:3} $2
    ;;

  dashboard)
#    /usr/local/bin/util-plot.sh
    /usr/local/bin/util-dashboard.sh
    ;;
esac

exit
